Bug 2900 - Show indication in *package list* if a package cannot be installed due to missing deps
: Show indication in *package list* if a package cannot be installed due to mis...
Status: RESOLVED WONTFIX
Product: Settings and Maintenance
Application manager
: 4.0
: All Windows
: Low enhancement (vote)
: ---
Assigned To: unassigned
: application-manager-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-06 16:37 UTC by tz
Modified: 2009-05-20 13:38 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description tz (reporter) 2008-02-06 16:37:57 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
Update any of several repositories, and do info on packages.  Many will be
uninstallable for various reasons, mainly dependencies.  E.g.:
Current n810/OS2008.  bluez-utils-tools is listed, but requires blues-utils ==
3.20 and there is no way of downgrading from the current 3.22 to 3.20 so I can
use them.

Updates also take forever and you have no idea what is going on for the 5-10
minutes the "updating" or "operation already in progress" is being displayed. 
Often it says "downloading X bytes" with a nearly completed bar for over 10
minutes which I have to cancel and restart, where it seems to work fine.

EXPECTED OUTCOME:
Packages which can't be installed should be highlighted in some way to indicate
this.  Currently, selecting and attempting an install gives an error message. 
And since it is updating, sorting, listing and whatever, it should have time to
determine if it is installable or not.

Progress or busy states should be more clearly indicated.  E.g. M of N
archives, archive XYZ percent.  All should have an option to cancel.

If an update or something is going on in the background (like installing via a
link from the browser) it should indicate this instead of giving the cryptic
"operation already in progress" only after attempting a retry.  Same operation?
 Different file?  Even ps doesn't really show what is going on.  If it is busy
doing something with installing an application or archive, it should say that
somewhere on the front.

ACTUAL OUTCOME:
Ask to install, it pops up a dialog box saying you can't, then offering
details.

Doing various things seems to freeze the application or display some cryptic
notification (ask to install some big package or slow archive via a netlink
twice) like "operation already in progress".

Updating the installed application list displays a series of downloading
progress boxes which don't indicate what is downloading, sometimes freezes (or
seems to have so I cancel), and doesn't give any indication of any success or
failure.

REPRODUCIBILITY:
(always/sometimes/once)
Always.

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.8)
Gecko/20071008 Firefox/2.0.0.8
Comment 1 Ryan Abel maemo.org 2008-07-06 19:48:46 UTC
There are a number of issues here. Too many, actually, which is likely why this
bug hasn't really been looked at, please remember to file a separate bug for
each individual issue, as it both betters the chances of getting your bugs
looked at and fixed, and makes things much easier for everybody involved. :)

First, there's the primary issue of Application manager not adequately
indicating a package's installability state. This could probably be solved with
some sort of icon to indicate packages that can't be installed (perhaps the red
x circle?), or maybe color-coding the package line.

Second, there's the issue of slow package list updates, which is actually
mostly fixed in Diablo (much improved, if not perfect yet). The best way to
improve this, though, is to disable Red Pill mode, as that slows down the
package list refresh by several orders of magnitude.

Third, we have the issue of poor, unclear error messages, which is something
that I know is being looked into for the future.

Fourth, and finally, there's the issue of poor status indication. Which is
covered by bug #3064

As the last 3 issues are mostly covered, this bug should focus on the main
issue of indicating a package's installability state.

As such, revising summary, and changing severity.
Comment 2 Andre Klapper maemo.org 2009-05-20 13:38:43 UTC
Application manager in Fremantle will provide info messages like "Conflict with
application packages:" when trying to *install*.

What you want is to already fetch that information for all available packages
in the list and display any conflicts.
I'd assume this would take a long time and lots of bandwidth and I don't know
of any other application manager (on Desktop computer systems) that is able to
do this, but please feel free to correct me if I am wrong.